/* xyza2pipe: Cross conversion environment of NMR spectra

 Bugs can be reported to yokochi@pharm.hokudai.ac.jp

 This program is a part of Olivia development project.
   http://fermi.pharm.hokudai.ac.jp/olivia/
*/

#include "xyza2pipe.h"

void checklabel(char string[])
{
 char _string[MAXASSNAME + 1];
 int l;

 char *cnvtbl[][2] = {
  {"1H", "H"},
  {"1D", "DH"},
  {"H1", "H"},
  {"D1", "DH"},
  {"H-ACQ", "AH"},
  {"H-IND", "DH"},
  {"ACQ", "AH"},
  {"IND", "DH"},
  {"A", "AH"},
  {"D", "DH"},
  {"13C", "C"},
  {"C13", "C"},
  {"15N", "N"},
  {"N15", "N"},
  {"31P", "P"},
  {"P31", "P"},
  {"", ""}
 };

 strncpy(_string, string, MAXASSNAME);

 strreplace(_string, " ", "");

 struppercpy(string, _string);

 l = 0;
 while (strcmp(cnvtbl[l][0], "") != 0) {

  if (strcmp(string, cnvtbl[l][0]) == 0) {
   strncpy(string, cnvtbl[l][1], MAXASSNAME);
   break;
  }

  l++;
 }

 l = strlen(string) + 1;

 memset(&(string[l]), 0, (MAXASSNAME - l) * sizeof(char));
}
